using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1c04, 0x1c05 )]
	public class FemalePlateChest : BaseArmor
	{
		public override bool AllowMaleWearer{ get{ return false; } }

		[Constructable]
		public FemalePlateChest() : base( 0x1C04, 30, ArmorMaterialType.Plate, ArmorBodyType.Chest )
		{
			Weight = 1;
			DexBonus = -5;
			StrRequirement = 45;
		}
		public FemalePlateChest( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}