using System;

namespace Server.Engines.Craft
{
	public class CraftSubRes
	{
		private Type m_Type;
		private double m_Level;
		private string m_NameString;
		private int m_NameNumber;
		private int m_GenericNameNumber;

		public CraftSubRes( Type type, string name, double level )
		{
			m_Type = type;
			m_NameString = name;
			m_Level = level;
		}

		public CraftSubRes( Type type, int name, double level )
		{
			m_Type = type;
			m_NameNumber = name;
			m_Level = level;
		}

		public CraftSubRes( Type type, int name, double level, int genericNameNumber )
		{
			m_Type = type;
			m_NameNumber = name;
			m_Level = level;
			m_GenericNameNumber = genericNameNumber;
		}

		public Type ItemType
		{
			get { return m_Type; }
		}

		public string NameString
		{
			get { return m_NameString; }
		}

		public int NameNumber
		{
			get { return m_NameNumber; }
		}

		public int GenericNameNumber
		{
			get { return m_GenericNameNumber; }
		}

		public double ItemLevel
		{
			get { return m_Level; }
		}
	}
}