using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x144e, 0x1453 )]
	public class BoneArms : BaseArmor
	{
		[Constructable]
		public BoneArms() : base( 0x144E, 4, ArmorMaterialType.Bone, ArmorBodyType.Arms )
		{
			Weight = 1;
			DexBonus = -2;
			StrRequirement = 40;
		}
		public BoneArms( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}