using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1451, 0x1456 )]
	public class DaemonHelm : BaseArmor
	{
		[Constructable]
		public DaemonHelm() : base( 0x1451, 46, ArmorMaterialType.Bone, ArmorBodyType.Helmet )
		{
			Name = "daemon bone helmet";
			Hue = 0x648;
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 40;
		}

		public DaemonHelm( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}