using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13c6, 0x13ce )]
	public class LeatherGloves : BaseArmor
	{
		[Constructable]
		public LeatherGloves() : base( 0x13C6, 13, ArmorMaterialType.Leather, ArmorBodyType.Gloves )
		{
			Weight = 1;
			DexBonus = 0;
			StrRequirement = 10;
		}

		public LeatherGloves( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}