using System;
using Server;

namespace Server.Items
{
	public class MetalKiteShield : BaseShield
	{
		[Constructable]
		public MetalKiteShield() : base( 0x1B74, 16 )
		{
			Weight = 5.0;
		}

		public MetalKiteShield( Serial serial ) : base(serial)
		{
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int)0 );//version
		}
	}
}
